unit DBUniTxt;

{
   DBUniTxt.pas (C) 1999 David Mason

   This code is freeware:

        - It may be used by anyone, private or commercial.
        - It may be freely distributed without modification.

        - Do not modify and redistribute without checking
          with the author.
        - Do not remove this notice.
        - If you find it useful, please email me:
          drmason@xtra.co.nz
        - If this component is used in a program that
          makes you lots of money, please consider
          donating some to the author.

   THIS CODE IS PROVIDED AS IS, WITH NO GUARANTEES.
   USE THIS CODE AT YOUR OWN RISK. THE AUTHOR WILL
   NOT BE HELD RESPONSIBLE FOR ANY DAMAGE CAUSED BY
   THIS CODE.
}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  UniLabel, DB, DBCtrls;

type
  TDBUniText = class(TCustomUniLabel)
  private
    function GetDataField: string;
    function GetDataSource: TDataSource;
    procedure SetDataField(const Value: string);
    procedure SetDataSource(const Value: TDataSource);
  protected
    FDataLink: TFieldDataLink;
    procedure DataChange(Sender:TObject);
  public
    constructor Create(AOwner:TComponent); override;

    destructor Destroy; override;
  published
    property DataField: string read GetDataField write SetDataField;
    property DataSource: TDataSource read GetDataSource write SetDataSource;
    property CodePage;
    property Align;
    property Alignment;
    property Anchors;
    property AutoSize default False;
    property Color;
    property Constraints;
    property DragCursor;
    property DragKind;
    property DragMode;
    property Enabled;
    property Font;
    property ParentColor;
    property ParentFont;
    property ParentShowHint;
    property PopupMenu;
    property Transparent;
    property ShowHint;
    property Visible;
    property OnClick;
    property OnDblClick;
    property OnDragDrop;
    property OnDragOver;
    property OnEndDock;
    property OnEndDrag;
    property OnMouseDown;
    property OnMouseMove;
    property OnMouseUp;
    property OnStartDock;
    property OnStartDrag;
  end;

//procedure Register;

implementation
 {
procedure Register;
begin
  RegisterComponents('Unicode', [TDBUniText]);
end;
  }
{ TDBUniText }

constructor TDBUniText.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  FDataLink := TFieldDataLink.Create;
  FDataLink.OnDataChange:=DataChange;
end;

procedure TDBUniText.DataChange(Sender: TObject);

begin
  if FDataLink.Field<>nil then
    Caption:=FDataLink.Field.AsString;
end;

destructor TDBUniText.Destroy;
begin
  FDataLink.Free;
  inherited Destroy;
end;

function TDBUniText.GetDataField: string;
begin
  Result := FDataLink.FieldName;
end;

function TDBUniText.GetDataSource: TDataSource;
begin
  Result := FDataLink.DataSource;
end;

procedure TDBUniText.SetDataField(const Value: string);
begin
  FDataLink.FieldName := Value;
end;

procedure TDBUniText.SetDataSource(const Value: TDataSource);
begin
   FDataLink.DataSource := Value;
end;


end.
